Page MenuHomePhabricator

Have the TemplateData GUI editor warn the user if a related page already contains a TemplateData block
Closed, ResolvedPublic

Description

This is Salix alba's idea about how to deal with the problem of multiple blocks of TemplateData spread across multiple pages (e.g., on both Tempate:Foo and Template:Foo/doc):

Issue a warning if another page with the same base name has template data. You can use easily use an api call https://en.wikipedia.org/w/api.php?action=query&list=pageswithprop&pwppropname=templatedata&pwpprop=title&format=json&pwplimit=50] to find which pages have template data.


Version: unspecified
Severity: enhancement

Details

Reference
bz72062
Related Gerrit Patches:
mediawiki/extensions/TemplateData : masterWarn if a TemplateData block already exists in related page

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:54 AM
bzimport added a project: TemplateData.
bzimport set Reference to bz72062.
Jdforrester-WMF moved this task from Backlog to Next-up on the TemplateData board.Dec 2 2014, 9:16 PM

Change 191491 had a related patch set uploaded (by Mooeypoo):
Warn if a TemplateData block already exists in related page

https://gerrit.wikimedia.org/r/191491

Patch-For-Review

Mooeypoo moved this task from Next-up to Doing on the TemplateData board.Feb 19 2015, 1:17 AM

Change 191491 merged by jenkins-bot:
Warn if a TemplateData block already exists in related page

https://gerrit.wikimedia.org/r/191491

Jdforrester-WMF renamed this task from TemplateData: Have the GUI editor warn the user if a related page already contains a TemplateData block to Have the TemplateData GUI editor warn the user if a related page already contains a TemplateData block.Feb 19 2015, 2:09 AM
Jdforrester-WMF closed this task as Resolved.